summaryrefslogtreecommitdiff
path: root/dev-python/pypugjs
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-01 06:52:58 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-01 06:52:58 +0000
commit60bd4e8775f9ce326363c698407298b8fc2e7691 (patch)
tree8161027fba8cc3ca05111cc6cfd5ef4797e28984 /dev-python/pypugjs
parentf88d1072d6392a5f1578e975c131995517475a40 (diff)
downloadbaldeagleos-repo-60bd4e8775f9ce326363c698407298b8fc2e7691.tar.gz
baldeagleos-repo-60bd4e8775f9ce326363c698407298b8fc2e7691.tar.xz
baldeagleos-repo-60bd4e8775f9ce326363c698407298b8fc2e7691.zip
Adding metadata
Diffstat (limited to 'dev-python/pypugjs')
-rw-r--r--dev-python/pypugjs/Manifest1
-rw-r--r--dev-python/pypugjs/pypugjs-5.12.0.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/pypugjs/Manifest b/dev-python/pypugjs/Manifest
index 2d932358cc37..f7bb18aefc96 100644
--- a/dev-python/pypugjs/Manifest
+++ b/dev-python/pypugjs/Manifest
@@ -1 +1,2 @@
DIST pypugjs-5.11.0.gh.tar.gz 57259 BLAKE2B 666b37a68f9faa7131424aba895fd6ffd893a92b1d565f343c25cc126bf37f2b1794eb0c32c3475533ade810b2d9d09a4299ec8bac5da63b1303d60900226507 SHA512 208946c6709398b21ab5728f290b814330db647200c1f649bceb6b5596c5bac710dedeed4dad56330b4c97236b6793251575fb2638b7bf63bf32239114758033
+DIST pypugjs-5.12.0.gh.tar.gz 58675 BLAKE2B cadfb20d4189058af691b32d5975fccfee35b0f4851c8f38d83370bc685369dcc75fe9250bbd089292df80dccf3ab34596ae50e2e60d9a8f62389a08d8798d58 SHA512 47460876018349b49fc04cde51cfee48f868b6364c5152dffc35ea3419f32c47ddab6789c442e4425a12d59c082e42d64ea001ef2c2df363d1fb1ec1a4e9f605
diff --git a/dev-python/pypugjs/pypugjs-5.12.0.ebuild b/dev-python/pypugjs/pypugjs-5.12.0.ebuild
new file mode 100644
index 000000000000..fbe99d359f19
--- /dev/null
+++ b/dev-python/pypugjs/pypugjs-5.12.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Pug (Jade) syntax adapter for Django, Jinja2 and Mako templates"
+HOMEPAGE="
+ https://github.com/kakulukia/pypugjs/
+ https://pypi.org/project/pypugjs/
+"
+SRC_URI="
+ https://github.com/kakulukia/pypugjs/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/six-1.15.0[${PYTHON_USEDEP}]
+ >=dev-python/charset-normalizer-2.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/django-4.0.6[${PYTHON_USEDEP}]
+ >=dev-python/flask-2.1.1[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.1.1[${PYTHON_USEDEP}]
+ >=dev-python/mako-1.1.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.19.0[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.0.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # poetry nonsense
+ sed -i -e 's:\^:>=:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+ optfeature "converting to Django output" dev-python/django
+ optfeature "converting to Jinja2 output" dev-python/jinja2
+ optfeature "converting to Mako output" dev-python/mako
+ optfeature "converting to Tornado output" dev-python/tornado
+}